Name:           perl-Pod-Coverage-TrustPod
Version:        0.100005
Release:        1%{?_dist_release}
Summary:        Allow a module's pod to contain Pod::Coverage hints
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Pod-Coverage-TrustPod/
Source0:        http://www.cpan.org/authors/id/R/RJ/RJBS/Pod-Coverage-TrustPod-%{version}.tar.gz

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch:      noarch
BuildRequires:  perl(Carp::Heavy)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Pod::Coverage::CountParents)
BuildRequires:  perl(Pod::Eventual::Simple)
BuildRequires:  perl(Pod::Find)
BuildRequires:  perl(Test::Pod)
BuildRequires:  perl(Test::Pod::Coverage)
BuildRequires:  perl(Test::More)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

Vendor:         Project Vine
Distribution:   Vine Linux

%{?perl_default_filter}

%description
This is a Pod::Coverage subclass (actually, a subclass of
Pod::Coverage::CountParents) that allows the POD itself to declare certain
symbol names trusted.

%prep
%setup -q -n Pod-Coverage-TrustPod-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install DESTDIR=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} %{buildroot}/*

%check
RELEASE_TESTING=1 make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%license LICENSE
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Thu May 16 2019 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 0.100005-1
- new upstream release.
- rebuilt with perl-5.26.

* Thu Dec 11 2014 Ryoichi INAGAKI <ryo1@toki.waseda.jp> - 0.100003-1
- updated to 0.100003
- built with perl 5.16.3

* Mon Mar 05 2012 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 0.100001-1
- initial build for Vine Linux

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.100001-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Jul 26 2011 Iain Arnell <iarnell@gmail.com> 0.100001-1
- update to latest upstream

* Thu Jul 21 2011 Petr Sabata <contyk@redhat.com> - 0.100000-3
- Perl mass rebuild

* Thu Jul 21 2011 Petr Sabata <contyk@redhat.com> - 0.100000-2
- Perl mass rebuild

* Sat Apr 09 2011 Iain Arnell <iarnell@gmail.com> 0.100000-1
- update to latest upstream version

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.092832-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Nov 19 2010 Iain Arnell <iarnell@gmail.com> 0.092832-1
- update to latest upstream version

* Tue May 04 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.092830-4
- Mass rebuild with perl-5.12.0

* Tue Feb 16 2010 Iain Arnell <iarnell@gmail.com> 0.092830-3
- use perl_default_filter
- use DESTDIR, not PERL_INSTALL_ROOT

* Wed Feb 03 2010 Iain Arnell <iarnell@gmail.com> 0.092830-2
- requires perl(Pod::Coverage::CountParents)

* Thu Jan 14 2010 Iain Arnell 0.092830-1
- Specfile autogenerated by cpanspec 1.78.
